Subject: Re: Acorn Southwest Show

From: Ben Dooks <[email-masked]>
Date: Wed, 24 Feb 1999 01:17:46 +0000

On Fri, Dec 18, 1998 at 05:28:46PM +0000, Phil Norman wrote:
> On Fri, Dec 18, 1998 at 03:01:33PM +0000, John Ballance wrote:
> > Hi
> > 
> > its actually the EtherI, from Irlam
> > 
> > it differs from others as the NC does not support MEMC addressing (or 
> > I believe PS addressing). All access is made usinf EasiSpace addressing.. 
> > something the netbsd port probably does not currently do...
> 
> It depends on the NC.  Some have EtherN cards, some EtherI, and some have
> other bizarre cards.  But yes, I've heard from another source too that
> the main barrier to porting linux-arm is the ethernet card.

I think most shipped with the EtherN cards. AFAIR, they are based on an
NE2000 clone. The chip itself has its address lines moved up by 4 lines
for multiple load/stores to the data port.

PS, try doing a port for the etherc... the most strange ethernet card
around (and i'm the only one with one, so ner!)

-- 
Ben ([email-masked], http://www.fluff.org/)

  'a smiley only costs 4 bytes'
unsubscribe: body of `unsubscribe linux-arm' to [email-masked]